OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface ()
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface (const Handle(PGeom_Surface)&aValue)
void | SetValue (const Handle(PGeom_Surface)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PGeom_Surface | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface | ( | const Handle(PGeom_Surface)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::SetValue | ( | const Handle(PGeom_Surface)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_Surface PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray1OfSurface.hxx